Get a single action
curl --request GET \
--url https://dust.tt/api/w/{wId}/assistant/conversations/{cId}/messages/{mId}/actions/{aId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/w/{wId}/assistant/conversations/{cId}/messages/{mId}/actions/{aId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/w/{wId}/assistant/conversations/{cId}/messages/{mId}/actions/{aId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action": {
"id": 123,
"sId": "<string>",
"createdAt": 123,
"updatedAt": 123,
"agentMessageId": 123,
"toolName": "<string>",
"functionCallName": "<string>",
"functionCallId": "<string>",
"params": {},
"citationsAllocated": 123,
"step": 123,
"generatedFiles": [
{
"fileId": "<string>",
"filePath": "<string>",
"title": "<string>",
"contentType": "<string>",
"snippet": "<string>",
"createdAt": 123,
"updatedAt": 123,
"isInProjectContext": true,
"hidden": true
}
],
"output": [
{}
],
"internalMCPServerName": "<string>",
"mcpServerId": "<string>",
"executionDurationMs": 123,
"displayLabels": {
"running": "<string>",
"done": "<string>"
},
"citations": {}
}
}Private Messages
Get a single action
Retrieve a single action by its ID within an agent message, along with the message status.
GET
/
api
/
w
/
{wId}
/
assistant
/
conversations
/
{cId}
/
messages
/
{mId}
/
actions
/
{aId}
Get a single action
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
ID of the workspace
ID of the conversation
ID of the message
ID of the action
⌘I